import Dict = NodeJS.Dict;
import { AsyncSummary } from '../../../types/UserReports';
import { SummaryTemplate } from '../../../types/Templates';
import { components } from '../../../types/api';
import { DataTable } from '../../DataTableBuilder/types';
export declare class CollatedSummaryBuilder {
    private summaries;
    private specification;
    constructor(specification: components['schemas']['Specification'], summaries: Array<AsyncSummary>);
    pageSummaryTemplates: Array<SummaryTemplate>;
    dataTableSummaryTemplates: Array<SummaryTemplate>;
    collatePageSummaries(): Dict<Array<DataTable>>;
    collateDataTableSummaries(): Dict<Array<AsyncSummary>>;
    collateAndMapToDataTable(summaryTemplates?: Array<SummaryTemplate>): Dict<Array<DataTable>>;
    collate(summaryTemplates?: Array<SummaryTemplate>): Dict<Array<AsyncSummary>>;
    private mapToDataTables;
}
